#!/usr/local/bin/ruby18
=begin
ndtp.rb server dictnum word
Copyright (C) 2002 Yoichi Imai <yoichi@silver-forest.com>
=end

require 'socket'
require 'nkf'

FoldLength=100
server = ARGV.shift
dictnum = ARGV.shift.to_i
#word = ARGV.shift
word = gets.chomp
$stderr = $stdout

raise "server isn't specified" unless server
raise "dictnum error" if dictnum == 0
raise "the word isn't specified" unless word

sock = TCPSocket.open(server, "ndtp")
sock.puts("L#{dictnum}")
sock.gets
sock.puts("Pa#{word}")
sock.gets
result_list = []
while tmp = sock.gets.chomp
  break if /\$.*/ =~ tmp
  result_list << sock.gets.chomp
end
result_list.each do |id|
  sock.puts("S#{id}")
  sock.gets
  while tmp = sock.gets
    break if /^\$\$$/ =~ tmp
  puts NKF::nkf("-ef #{FoldLength}", tmp)
  end
end
sock.close
